import request from '@/utils/request'

// 查询开户记录列表
export function listCsOpenRecord(query) {
  return request({
    url: '/cs/csOpenRecord/list',
    method: 'get',
    params: query
  })
}

// 查询开户记录详细
export function getCsOpenRecord(openRecordId) {
  return request({
    url: '/cs/csOpenRecord/' + openRecordId,
    method: 'get'
  })
}

// 新增开户记录
export function addCsOpenRecord(data) {
  return request({
    url: '/cs/csOpenRecord',
    method: 'post',
    data: data
  })
}

// 修改开户记录
export function updateCsOpenRecord(data) {
  return request({
    url: '/cs/csOpenRecord',
    method: 'put',
    data: data
  })
}

// 删除开户记录
export function delCsOpenRecord(openRecordId) {
  return request({
    url: '/cs/csOpenRecord/' + openRecordId,
    method: 'delete'
  })
}
